Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 476212 - Systems can't register if rhel-instnum is not installed
Summary: Systems can't register if rhel-instnum is not installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.3
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-12 14:38 UTC by Jan Pazdziora
Modified: 2009-01-22 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:14 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-12-12 14:38:21 UTC
Description of problem:

The rhel-instnum package is not Required by any other and when it is not installed, systems cannot register to Spacewalk server.

Version-Release number of selected component (if applicable):

Spacewalk 0.3

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Spacewalk on RHEL 5.
2. rpm -e rhel-instnum
3. Try to register system.
  
Actual results:

# rhnreg_ks --server http://server/XMLRPC --username admin --password xxxxx --force
An error has occurred:
While running 'registration.welcome_message': caught
exceptions.KeyError : 'xmlrpc'

See /var/log/up2date for more information

and on the Spacewalk server, there is

RHN 28698 2008/12/12 15:12:16 +02:00: ('Error importing xmlrpc: No module named instnum',)

in /var/log/httpd/error_log and

2008/12/12 15:12:16 +02:00 28698 10.34.34.139: server/rhnImport.load('ERROR', 'Error importing xmlrpc: No module named instnum')

in /var/log/rhn/rhn_server_xmlrpc.log.

Expected results:

We should not be able to install Spacewalk without the rhel-instnum package. In another words, someone ought to Require that thing.

Additional info:

This is an upstream bugzilla for bug 472368.

Comment 1 Jan Pazdziora 2008-12-12 14:43:22 UTC
Fix committed in 5bc219c9df434b1426e3ac1f1b371fc1382ef3f7.

Comment 2 Brandon Perkins 2008-12-13 04:13:55 UTC
Removing bug 472368 is blocked by this bug.

Comment 3 Miroslav Suchý 2009-01-15 09:46:53 UTC
[root@dhcp77-206 tmp]# rpm -e rhel-instnum
error: Failed dependencies:
        rhel-instnum is needed by (installed) spacewalk-backend-xmlrpc-0.4.15-1.el5.noarch

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.